## pyspatialite 3.0.1

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = sphinx-build.py
PAPER        =

ALLSPHINXOPTS = -d .build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

web:
	mkdir -p .build/web .build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) .build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web .build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

=== debian/changelog ===
pyspatialite (3.0.1-6) unstable; urgency=low

  * Mangle upstream version in watch file to handle with -alpha release.
  * Update watch file and Homepage for upstream move to GitHub.
  * Refresh patches.
  * Enable parallel builds.
  * Drop lintian override for no-upstream-changelog,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 22 Mar 2014 16:04:20 +0100

pyspatialite (3.0.1-5) unstable; urgency=low

  * Add gbp.conf to use pristine-tar by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 18 Mar 2014 00:07:10 +0100

pyspatialite (3.0.1-4) experimental; urgency=low

  * Bump Standards-Version to 3.9.5, no changes required.
  * Require at least libspatialite version 4.1.1.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 14 Dec 2013 17:12:50 +0100

pyspatialite (3.0.1-3) experimental; urgency=low

  [ David Paleino ]
  * Updated debian/watch.

  [ Bas Couwenberg ]
  * Use canonical URLs in Vcs-* fields.
  * Update copyright file.
  * Bump dephelper compatibility to 9.
  * Bump Standards-Version to 3.9.4, no changes.
  * Add lintian override for no-fortify-functions false positive.
  * Add lintian override for no-upstream-changelog.
  * Change priority to optional.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 26 Nov 2013 17:01:29 +0100

pyspatialite (3.0.1-2) unstable; urgency=low

  * Add Gerhard Häring to copyright holders.

 -- David Paleino <dapal@debian.org>  Tue, 17 Apr 2012 23:27:46 +0200

pyspatialite (3.0.1-1) unstable; urgency=low

  * Initial release (Closes: #623805)

 -- David Paleino <dapal@debian.org>  Sun, 15 Apr 2012 10:59:59 +0200

=== debian/control ===
Source: pyspatialite
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               libspatialite-dev (>= 4.1.1~),
               libgeos-dev,
               libproj-dev,
               python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyspatialite.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pyspatialite.git
Homepage: https://github.com/lokkju/pyspatialite/

Package: python-pyspatialite
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface to Spatialite
 pyspatialite is an interface to the SQLite 3.x embedded relational database
 engine with spatialite extensions.
 .
 It is almost fully compliant with the Python database API version 2.0 and also
 exposes the unique features of SQLite and spatialite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PS := $(CURDIR)/debian/python-pyspatialite

%:
	dh $@ \
		--with python2 \
		--parallel

override_dh_auto_install:
	dh_auto_install
	rm -rf $(PS)/usr/pyspatialite-doc/
	rm -rf $(PS)/usr/lib/python*/*-packages/pyspatialite/test/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)-?(\d*)$/$1~$2$3/,filenamemangle=s/^.*?\/(\d+)/pyspatialite-$1/ \
https://github.com/lokkju/pyspatialite/releases (?:|.*/)pyspatialite/archive/(\d+\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
